"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Configure the REST Client
 * @param {String} url - base URL
 * @param {String} serviceId - Service ID
 * @param {Object} headers - deafult headers in a key-value pair
 */
function Client(args) {
    return function (Target) {
        if (args.serviceId) {
            Target.prototype.getServiceId = function () {
                return args.serviceId;
            };
        }
        if (args.baseUrl) {
            Target.prototype.getBaseUrl = function () {
                return args.baseUrl;
            };
        }
        if (args.headers) {
            Target.prototype.getDefaultHeaders = function () {
                return args.headers;
            };
        }
        return Target;
    };
}
exports.Client = Client;
