"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Called just before emitting the request, used to add functions to the observable
 * @param emitter function to add functions to the observable
 */
function OnEmit(emitter) {
    return function (target, propertyKey, descriptor) {
        if (!descriptor.emitters) {
            descriptor.emitters = [];
        }
        descriptor.emitters.push(emitter);
        return descriptor;
    };
}
exports.OnEmit = OnEmit;
