import { RestClient } from '../rest-client';
/**
 * collection Formats
 */
export declare const Format: {
    CSV: string;
    SSV: string;
    TSV: string;
    PIPES: string;
    MULTI: string;
};
export declare function paramBuilder(paramName: string): (name: string, value?: any) => (target: RestClient, propertyKey: string | symbol, parameterIndex: number) => void;
/**
 * Path variable of a method's url, type: string
 * @param {string} key - path key to bind value
 */
export declare const Path: (name: string, value?: any) => (target: RestClient, propertyKey: string | symbol, parameterIndex: number) => void;
/**
 * Query value of a method's url, type: string
 * @param {string} key - query key to bind value
 */
export declare const Query: (name: string, value?: any) => (target: RestClient, propertyKey: string | symbol, parameterIndex: number) => void;
/**
 * Body of a REST method, type: key-value pair object
 * Only one body per method!
 */
export declare const Body: (target: RestClient, propertyKey: string | symbol, parameterIndex: number) => void;
/**
 * Body of a REST method, type: key-value pair string separated by '&'
 * Only one body per method!
 */
export declare const PlainBody: (target: RestClient, propertyKey: string | symbol, parameterIndex: number) => void;
/**
 * Custom header of a REST method, type: string
 * @param {string} key - header key to bind value
 */
export declare const Header: (name: string, value?: any) => (target: RestClient, propertyKey: string | symbol, parameterIndex: number) => void;
