"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Defines the media type(s) that the methods can produce
 * @param MediaType media type or custom mapper function
 */
function Produces(mime) {
    return function (target, propertyKey, descriptor) {
        if (mime !== undefined) {
            if (mime === MediaType.JSON) {
                descriptor.mime = function (res) { return res.json(); };
            }
        }
        return descriptor;
    };
}
exports.Produces = Produces;
/**
 * Supported @Produces media types
 */
var MediaType;
(function (MediaType) {
    MediaType[MediaType["JSON"] = 0] = "JSON";
})(MediaType = exports.MediaType || (exports.MediaType = {}));
