"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Defines a custom timeout function.
 * @param {number} timeout - The timeout duration in milliseconds.
 */
function Timeout(timeout) {
    return function (target, propertyKey, descriptor) {
        if (!descriptor.timeout) {
            descriptor.timeout = [];
        }
        descriptor.timeout.push(timeout);
        return descriptor;
    };
}
exports.Timeout = Timeout;
