/// <reference types="typescript/lib/lib.es6" />
import { Http, Request, Response } from '@angular/http';
import { Observable } from 'rxjs/Observable';
/**
 * Angular 4 RestClient class.
 *
 * @class RestClient
 * @constructor
 */
export declare class RestClient {
    private http;
    constructor(http: Http);
    getServiceId(): string;
    getBaseUrl(): string;
    getDefaultHeaders(): Object;
    /**
     * Request Interceptor
     *
     * @method requestInterceptor
     * @param {Request} req - request object
     */
    protected requestInterceptor(req: Request): void;
    /**
     * Response Interceptor
     *
     * @method responseInterceptor
     * @param {Response} res - response object
     * @returns {Response} res - transformed response object
     */
    protected responseInterceptor(res: Observable<Response>): Observable<any>;
}
